> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /cerlive/wallets

> Get a crypto wallet security profile by wallet id

**Price:** 1 credit

**⚠️ Common errors:** 412: Wallet not found



## OpenAPI

````yaml /openapi/crypto-defi.json post /api/cerlive/wallets
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/cerlive/wallets:
    post:
      tags:
        - /cerlive
      summary: /cerlive/wallets
      description: |-
        Get a crypto wallet security profile by wallet id

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Wallet not found
      operationId: __api_cerlive_wallets_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CerliveWalletPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CerliveWallet'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CerliveWalletPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        uid:
          type: string
          minLength: 1
      type: object
      required:
        - uid
    CerliveWallet:
      properties:
        '@type':
          type: string
          default: CerliveWallet
        id:
          type: integer
        uid:
          type: string
        name:
          type: string
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rank:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        link:
          anyOf:
            - type: string
            - type: 'null'
        incorporation:
          anyOf:
            - type: string
            - type: 'null'
        wallet_id:
          anyOf:
            - type: integer
            - type: 'null'
        wallet_platform_name:
          anyOf:
            - type: string
            - type: 'null'
        wallet_platform_type_name:
          anyOf:
            - type: string
            - type: 'null'
        application_rating:
          anyOf:
            - type: number
            - type: 'null'
        installation_count:
          anyOf:
            - type: integer
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        data_safety_policy_url:
          anyOf:
            - type: string
            - type: 'null'
        cookie_policy_url:
          anyOf:
            - type: string
            - type: 'null'
        pentest_rating:
          anyOf:
            - type: number
            - type: 'null'
        bug_bounty_rating:
          anyOf:
            - type: number
            - type: 'null'
        past_incidents_rating:
          anyOf:
            - type: number
            - type: 'null'
        security_features_rating:
          anyOf:
            - type: number
            - type: 'null'
        blockchains:
          items:
            type: string
          type: array
          default: []
        features:
          items:
            $ref: '#/components/schemas/CerliveWalletFeature'
          type: array
          default: []
        audits:
          items:
            $ref: '#/components/schemas/CerliveWalletAudit'
          type: array
          default: []
        bug_bounties:
          items:
            $ref: '#/components/schemas/CerliveBugBounty'
          type: array
          default: []
        restore_methods:
          items:
            $ref: '#/components/schemas/CerliveWalletRestoreMethod'
          type: array
          default: []
        incidents:
          items:
            $ref: '#/components/schemas/CerliveWalletIncident'
          type: array
          default: []
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - uid
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CerliveWalletFeature:
      properties:
        '@type':
          type: string
          default: CerliveWalletFeature
        feature_id:
          type: integer
        value:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - feature_id
    CerliveWalletAudit:
      properties:
        '@type':
          type: string
          default: CerliveWalletAudit
        auditor_name:
          anyOf:
            - type: string
            - type: 'null'
        auditor_icon:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        scope:
          anyOf:
            - type: string
            - type: 'null'
        link:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: integer
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
        scope_score:
          anyOf:
            - type: number
            - type: 'null'
        relevance_score:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    CerliveBugBounty:
      properties:
        '@type':
          type: string
          default: CerliveBugBounty
        auditor_name:
          anyOf:
            - type: string
            - type: 'null'
        auditor_icon:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        reward:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        scope_url:
          anyOf:
            - type: string
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
        scope_description_score:
          anyOf:
            - type: number
            - type: 'null'
        acceptance_score:
          anyOf:
            - type: number
            - type: 'null'
        third_party_score:
          anyOf:
            - type: number
            - type: 'null'
        language_score:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    CerliveWalletRestoreMethod:
      properties:
        '@type':
          type: string
          default: CerliveWalletRestoreMethod
        name:
          type: string
        score:
          anyOf:
            - type: number
            - type: 'null'
        score_weight:
          anyOf:
            - type: number
            - type: 'null'
        link:
          anyOf:
            - type: string
            - type: 'null'
        asset_name:
          anyOf:
            - type: string
            - type: 'null'
        custody:
          anyOf:
            - type: string
            - type: 'null'
        authentication_factors:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - name
    CerliveWalletIncident:
      properties:
        '@type':
          type: string
          default: CerliveWalletIncident
        team_reaction:
          anyOf:
            - type: string
            - type: 'null'
        severity_items:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - description
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````